//------------------------------------------------------------------------------------
// irr::scene::IParticleSphereEmitter wrappers
//------------------------------------------------------------------------------------

extern "C" 
{

	void IrrScene_IParticleSphereEmitter_setCenter( IParticleSphereEmitter* pe, vector3df* center )
	{
		if (pe) {
			pe->setCenter(*center);
		}
	}

	void IrrScene_IParticleSphereEmitter_setRadius( IParticleSphereEmitter* pe, f32 radius )
	{
		if (pe) {
			pe->setRadius(radius);
		}
	}

	// must delete
	vector3df* IrrScene_IParticleSphereEmitter_getCenter(IParticleSphereEmitter* pe)
	{
		if (pe) {
			return new vector3df(pe->getCenter());
		} else return 0;
	}

	f32 IrrScene_IParticleSphereEmitter_getRadius(IParticleSphereEmitter* pe)
	{
		if (pe) {
			return pe->getRadius();
		} else return 0.0;
	}

}

